﻿///////////////////////////////////////
//
//  Copyright 2014-2016 Brett Faulds
//
///////////////////////////////////////

using UnityEngine;
using System.Collections;
using UnityEngine.UI;

/// <summary>
/// Purpose of this class is to determine the in game location block
/// </summary>
public class TetrisBlock : MonoBehaviour
{
	public bool IsEmpty = true;
	public int BlockID = -1;
	public Color BlockColor;
	private Image _thisImage;

	/// <summary>
	/// Updates a block given the information of a shape
	/// </summary>
	/// <param name="isEmpty">Whether it is blocked or not</param>
	/// <param name="blockID">ID of the shape</param>
	/// <param name="blockColor">Color of this block</param>
	public void UpdateBlock(bool isEmpty, int blockID, Color blockColor)
	{
		if (_thisImage == null)
			_thisImage = GetComponent<Image>();

		if (isEmpty)
		{
			_thisImage.color = Color.clear;
		}
		else
		{
			_thisImage.color = blockColor;
		}

		IsEmpty = isEmpty;
		BlockID = blockID;
		BlockColor = blockColor;
	}
}

///////////////////////////////////////
//
//  Copyright 2014-2016 Brett Faulds
//
///////////////////////////////////////